Update Audio Book
curl --request PATCH \
--url https://voice.plotweaver.app/v1/audio_books/{audio_book_id} \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"audio_book_cover": "<string>"
}
'import requests
url = "https://voice.plotweaver.app/v1/audio_books/{audio_book_id}"
payload = {
"name": "<string>",
"audio_book_cover": "<string>"
}
headers = {
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', audio_book_cover: '<string>'})
};
fetch('https://voice.plotweaver.app/v1/audio_books/{audio_book_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://voice.plotweaver.app/v1/audio_books/{audio_book_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'audio_book_cover' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"API-KEY: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://voice.plotweaver.app/v1/audio_books/{audio_book_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"audio_book_cover\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://voice.plotweaver.app/v1/audio_books/{audio_book_id}")
.header("API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"audio_book_cover\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://voice.plotweaver.app/v1/audio_books/{audio_book_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"audio_book_cover\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file": "https://dpodkdhb03iee.cloudfront.net/TESTS/a553898a-e693-4c15-b3e6-32db42cf9482_AudioBook.txt",
"name": "The Great Gatsby: Afro-Centric Edition",
"source_language": "English",
"target_language": "English",
"audio_book_cover": "https://example.com/covers/cover01.jpg",
"date_created": "2023-11-07T05:31:56Z",
"date_updated": "2023-11-07T05:31:56Z",
"localized_file": "<string>",
"task_status": "<string>",
"task_progress": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Audio Book
Update Audio Book
PATCH
/
v1
/
audio_books
/
{audio_book_id}
Update Audio Book
curl --request PATCH \
--url https://voice.plotweaver.app/v1/audio_books/{audio_book_id} \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"audio_book_cover": "<string>"
}
'import requests
url = "https://voice.plotweaver.app/v1/audio_books/{audio_book_id}"
payload = {
"name": "<string>",
"audio_book_cover": "<string>"
}
headers = {
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', audio_book_cover: '<string>'})
};
fetch('https://voice.plotweaver.app/v1/audio_books/{audio_book_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://voice.plotweaver.app/v1/audio_books/{audio_book_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'audio_book_cover' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"API-KEY: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://voice.plotweaver.app/v1/audio_books/{audio_book_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"audio_book_cover\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://voice.plotweaver.app/v1/audio_books/{audio_book_id}")
.header("API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"audio_book_cover\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://voice.plotweaver.app/v1/audio_books/{audio_book_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"audio_book_cover\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file": "https://dpodkdhb03iee.cloudfront.net/TESTS/a553898a-e693-4c15-b3e6-32db42cf9482_AudioBook.txt",
"name": "The Great Gatsby: Afro-Centric Edition",
"source_language": "English",
"target_language": "English",
"audio_book_cover": "https://example.com/covers/cover01.jpg",
"date_created": "2023-11-07T05:31:56Z",
"date_updated": "2023-11-07T05:31:56Z",
"localized_file": "<string>",
"task_status": "<string>",
"task_progress": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
APIKeyHeaderHTTPBearer
Path Parameters
Response
Successful Response
A Public accessible URI or path string pointing to the text file.
Example:
"https://dpodkdhb03iee.cloudfront.net/TESTS/a553898a-e693-4c15-b3e6-32db42cf9482_AudioBook.txt"
The title of your audiobook
Example:
"The Great Gatsby: Afro-Centric Edition"
The starting language (case-sensitive to your Enum)
Available options:
French, English, Amharic, Swahili, Chinese, Japanese, Korean, German, Russian, Portuguese, Spanish, Italian, Arabic, Dutch, Hindi, Urdu Example:
"English"
A String of valid Language enum values
Available options:
French, English, Amharic, Swahili, Chinese, Japanese, Korean, German, Russian, Portuguese, Spanish, Italian, Arabic, Dutch, Hindi, Urdu Examples:
"English"
"Hindu"
"Chinese"
Public Accessible URI to an image to be used as the Audio Book Cover
Example:
"https://example.com/covers/cover01.jpg"